package com.cftech.accounts.service.impl;

import com.cftech.accounts.dao.MpAccountsMapper;
import com.cftech.accounts.dao.SysJobMapper;
import com.cftech.accounts.model.MpAccountsEntity;
import com.cftech.accounts.model.RamJob;
import com.cftech.accounts.model.SysJob;
import com.cftech.accounts.service.JobService;
import com.cftech.core.generic.GenericDao;
import com.cftech.core.generic.GenericServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by kingdee-001 on 2018/7/16.
 */
@Service
public class JobServiceImpl extends GenericServiceImpl<SysJob> implements JobService {

    @Autowired
    private SysJobMapper sysJobMapper;

    @Override
    protected GenericDao<SysJob> getGenericMapper() {
        return sysJobMapper;
    }

    @Override
    public void updateStatus(SysJob sysJob)
    {
        sysJobMapper.updateStatus(sysJob);
    }

    @Override
    public List<RamJob> getRamJob()
    {
       List<RamJob> ramJobList =  sysJobMapper.getRamJob();
        return ramJobList;
    }
}
